## org.junit.validator
Interface TestClassValidator

All Known Implementing Classes:
  AnnotationsValidator, PublicClassValidator

    public interface TestClassValidator

Validates a single facet of a test class.

Since:
  4.12

Method Summary
`List<Exception>` `validateTestClass(TestClass testClass)` Validate a single facet of a test class.

Method Detail

### validateTestClass

    List<Exception> validateTestClass(TestClass testClass)

  Validate a single facet of a test class.

  Parameters:
    `testClass` - the `TestClass` that is validated.
  Returns:
    the validation errors found by the validator.

Copyright © 2002–2020 JUnit. All rights reserved.